Bug 113468 - print/acroread7 - PATCH (dirty workaround) - acroread shell script produces error when $version is empty
Summary: print/acroread7 - PATCH (dirty workaround) - acroread shell script produces e...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-08 03:20 UTC by parv
Modified: 2007-09-23 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (449 bytes, patch)
2007-06-08 03:20 UTC, parv
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description parv 2007-06-08 03:20:02 UTC
acroread (shell script) produces the following message ...


  /misc/local/Adobe/Acrobat7.0/ENU/bin/acroread: line 486: [: -ge: unary operator expected


... which does not prevent the actual program to be launched).
Running with -x option around $version assignment ...

  480 set -x
  481         version=`get_gtk_file_ver "$ifile"`
  482 set +x


... produces ...

  ++ get_gtk_file_ver /misc/local/lib/libgtk-x11-2.0.so
  ++ '[' -f /misc/local/lib/libgtk-x11-2.0.so ']'
  ++ '[' -h /misc/local/lib/libgtk-x11-2.0.so ']'
  +++ readlink /misc/local/lib/libgtk-x11-2.0.so
  ++++ /bin/pwd
  +++ OLDPWD=/misc/home/parv
  +++ lfile=/misc/local/lib/libgtk-x11-2.0.so
  +++ '[' -h /misc/local/lib/libgtk-x11-2.0.so -a -f /misc/local/lib/libgtk-x11-2.0.so ']'
  ++++ dirname /misc/local/lib/libgtk-x11-2.0.so
  +++ CWD=/misc/local/lib
  ++++ expr /misc/local/lib : '\.\.'
  +++ '[' 0 = 2 ']'
  ++++ basename /misc/local/lib/libgtk-x11-2.0.so
  +++ lfile=libgtk-x11-2.0.so
  +++ cd /misc/local/lib
  ++++ /bin/ls -l libgtk-x11-2.0.so
  ++++ sed 's/^.*-> *\(.*\) *$/\1/'
  +++ lfile=libgtk-x11-2.0.so.0
  +++ '[' -h libgtk-x11-2.0.so.0 -a -f libgtk-x11-2.0.so.0 ']'
  +++ '[' -f libgtk-x11-2.0.so.0 ']'
  ++++ dirname libgtk-x11-2.0.so.0
  +++ CWD=.
  ++++ basename libgtk-x11-2.0.so.0
  +++ lfile=libgtk-x11-2.0.so.0
  ++++ expr . : '\.\.'
  +++ '[' 0 = 2 ']'
  +++ cd .
  ++++ /bin/pwd
  +++ echo /misc/local/lib/libgtk-x11-2.0.so.0
  +++ cd /misc/local/lib
  +++ return 0
  ++ ifile=/misc/local/lib/libgtk-x11-2.0.so.0
  ++ '[' 0 -eq 1 ']'
  +++ basename /misc/local/lib/libgtk-x11-2.0.so.0
  ++ mfile=libgtk-x11-2.0.so.0
  ++ echo libgtk-x11-2.0.so.0
  ++ grep -q 'libgtk-x11-\([0-9]*\).0.so.0.\([0-9]*\).\([0-9]*\)'
  ++ '[' 1 -ne 0 ']'
  ++ return 1
  + version=
  + set +x
  /misc/local/Adobe/Acrobat7.0/ENU/bin/acroread: line 488: [: -ge: unary operator expected

Fix: This is only a dirty workaround around the actual problem, but should
be considered to make the script robust ...

How-To-Repeat: 
Try to run above acroread version.
Comment 1 Edwin Groothuis freebsd_committer 2007-06-08 03:20:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer
Comment 2 Hiroki Sato freebsd_committer 2007-06-09 16:23:50 UTC
----Security_Multipart(Sun_Jun_10_00_23_50_2007_064)--
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

parv@pair.com wrote
  in <20070608021212.7E03DB6FC@default.chvlva.adelphia.net>:

pa> >Release:        FreeBSD 6.2-STABLE i386
pa> >Organization:
pa> >Environment:
pa> System: FreeBSD holestein.holy.cow 6.2-STABLE FreeBSD 6.2-STABLE #1: Fri May 25 16:16:36 EDT 2007 root@holestein.holy.cow:/work/obj/misc/src-6/sys/BOVINE-T42.6 i386
pa>
pa> Installed version is acroread7-7.0.9_1,1.
pa>
pa> Linux ports (base & such) have been recompiled & reinstalled after
pa> installing xorg 7.2.
pa>
pa> My interactive shell is zsh 4.3.2_1.

 I could not reproduce the symptom.  Could you please let me know more
 detail information about your environment?  Results of pkg_info
 command and what you did exactly, for example.

--
| Hiroki SATO

----Security_Multipart(Sun_Jun_10_00_23_50_2007_064)--
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (FreeBSD)

iD8DBQBGasYGTyzT2CeTzy0RArvkAKDcTJmkwwdXOxMiGIrIG3ZdtlLLfgCbBI80
6tSFYdc4X+SyYz/0GT9fZLI=
=9zGx
-----END PGP SIGNATURE-----

----Security_Multipart(Sun_Jun_10_00_23_50_2007_064)----
Comment 3 parv 2007-06-10 02:35:02 UTC
in message <20070610.002350.23098210.hrs@allbsd.org>,
wrote Hiroki Sato thusly...
>
> parv@pair.com wrote
>   in <20070608021212.7E03DB6FC@default.chvlva.adelphia.net>:
> 
> pa> System: FreeBSD holestein.holy.cow 6.2-STABLE FreeBSD 6.2-STABLE #1: Fri May 25 16:16:36 EDT 2007 root@holestein.holy.cow:/work/obj/misc/src-6/sys/BOVINE-T42.6 i386
> pa>
> pa> Installed version is acroread7-7.0.9_1,1.
> pa>
> pa> Linux ports (base & such) have been recompiled & reinstalled after
> pa> installing xorg 7.2.
> pa>
> pa> My interactive shell is zsh 4.3.2_1.
> 
> I could not reproduce the symptom.  Could you please let me know
> more detail information about your environment?  Results of
> pkg_info command and what you did exactly, for example.

I typed "acroread" & nothing else at the command line; "which -a
acroread" produces ...

  /misc/local/bin/acroread


... please let me know if you would like any other information
besides the following output of "pkg_info | awk '{print $1}' | sort
-f" ...

  aalib-1.4.r5_3
  acroread7-7.0.9_1,1
  acroreadwrapper-0.0.20060221_1
  amspsfnt-1.0_5
  appres-1.0.1
  asapm-3.1_1
  aspell-0.60.5
  atk-1.18.0_1
  atris-1.0.7_2
  atris-sounds-1.0.1_1
  autoconf-2.13.000227_5
  autoconf-2.53_3
  autoconf-2.59_2
  automake-1.4.6_2
  automake-1.5_2,1
  automake-1.9.6
  bdftopcf-1.0.0
  beforelight-1.0.2
  bigreqsproto-1.0.2
  bison-1.75_2,1
  bitmap-1.0.3
  bitstream-vera-1.10_4
  boehm-gc-6.8
  bogofilter-1.1.5
  ca-roots-1.2
  cabextract-1.1
  cairo-1.4.6_1
  cdparanoia-3.9.8_8
  cdrtools-2.01_5
  cidr-2.3.2_1
  cm-super-0.3.3_1
  cmpsfont-1.0_6
  compat4x-i386-5.3_9
  compat5x-i386-5.4.0.8_7
  compositeproto-0.3.1
  cscope-15.6
  ctags-5.6
  curl-7.16.1
  cvs2cl-2.59
  damageproto-1.1.0_2
  db42-4.2.52_4
  db43-4.3.29
  db44-4.4.20.4
  dbus-1.0.2_2
  dbus-glib-0.73_1
  desktop-file-utils-0.12_1
  diablo-jdk-1.5.0.07.01
  dict-1.10.4_1
  dirmngr-0.9.7_2
  djbfft-0.76_2
  dmidecode-2.8
  dmxproto-2.2.2
  dri-6.5.3_1,2
  dvipsk-tetex-5.95a_2
  editres-1.0.3
  en-openoffice.org-US-2.2.0
  encodings-1.0.2,1
  enscript-letter-1.6.4_1
  erlang-doc-r11b2,1
  evieext-1.0.2
  expat-2.0.0_1
  faac-1.25
  faad2-2.5,1
  fetchmail-6.3.8
  fetchyahoo-2.10.7_1
  ffmpeg-devel-2007.04.29_2
  firefox-2.0.0.3_1,1
  fixesproto-4.0
  flac-1.1.2_1
  font-adobe-100dpi-1.0.0_1
  font-adobe-75dpi-1.0.0
  font-adobe-utopia-100dpi-1.0.1
  font-adobe-utopia-75dpi-1.0.1
  font-adobe-utopia-type1-1.0.1
  font-alias-1.0.1
  font-arabic-misc-1.0.0
  font-bh-100dpi-1.0.0
  font-bh-75dpi-1.0.0
  font-bh-lucidatypewriter-100dpi-1.0.0
  font-bh-lucidatypewriter-75dpi-1.0.0
  font-bh-ttf-1.0.0
  font-bh-type1-1.0.0
  font-bitstream-100dpi-1.0.0
  font-bitstream-75dpi-1.0.0
  font-bitstream-type1-1.0.0
  font-cronyx-cyrillic-1.0.0
  font-cursor-misc-1.0.0
  font-daewoo-misc-1.0.0
  font-dec-misc-1.0.0
  font-ibm-type1-1.0.0
  font-isas-misc-1.0.0
  font-jis-misc-1.0.0
  font-micro-misc-1.0.0
  font-misc-cyrillic-1.0.0
  font-misc-ethiopic-1.0.0
  font-misc-meltho-1.0.0_1
  font-misc-misc-1.0.0
  font-mutt-misc-1.0.0
  font-schumacher-misc-1.0.0
  font-screen-cyrillic-1.0.1
  font-sony-misc-1.0.0
  font-sun-misc-1.0.0
  font-util-1.0.1
  font-winitzki-cyrillic-1.0.0
  font-xfree86-type1-1.0.0
  fontcacheproto-0.1.2
  fontconfig-2.4.2_2,1
  fontsproto-2.0.2
  fonttosfnt-1.0.3
  freetype-1.3.1_4
  freetype2-2.2.1_2
  fslsfonts-1.0.1
  fstobdf-1.0.2
  fvwm-2.5.21_1
  gail-1.18.0_1
  gcc-4.2.0_20070307
  gccmakedep-1.0.2
  gconf2-2.18.0.1_1
  gd-2.0.34_1,1
  gdbm-1.8.3_3
  gettext-0.16.1
  ghostscript-gpl-8.56_4
  gimp-app-2.3.16_1,1
  glib-1.2.10_12
  glib-2.12.12_2
  glitz-0.5.6_1
  glproto-1.4.8
  gmake-3.81_1
  gnome-mime-data-2.18.0_1
  gnome-vfs-2.18.1_2
  gnomehier-2.2_2
  gnome_subr-1.0
  gnupg-2.0.3
  gnutls-1.6.2
  gpac-libgpac-0.4.2.r2,1
  gpgme-1.1.3_3
  graphviz-2.12_2
  grepmail-5.3032
  gsfonts-8.11_2
  gstreamer-0.10.12_1
  gstreamer-plugins-0.10.12_1,3
  gtk-1.2.10_18
  gtk-2.10.12_2
  gtk-engines2-2.10.1_1
  gtkspell-2.0.11_5
  gv-3.6.2_1
  hal-0.5.8.20070403_2
  hicolor-icon-theme-0.10_1
  hugelatex-1.0
  iceauth-1.0.1
  ico-1.0.1
  icu-3.6
  ImageMagick-6.3.3.5_1
  imake-1.0.2_4,1
  imlib-1.9.15_5
  info2man-20040717
  inputproto-1.3.2
  intltool-0.35.5_2
  ipcalc-0.41
  iwi-firmware-kmod-3.0_2
  jasper-1.701.0
  javavmwrapper-2.3
  jbigkit-1.6
  jpeg-6b_4
  junkbuster-2.0.2_3
  kbproto-1.0.3
  lame-3.97_1
  lcms-1.15_1,1
  liba52-0.7.4_1
  libart_lgpl-2.3.19,1
  libassuan-1.0.1
  libbonobo-2.18.0_1
  libcddb-1.3.0
  libcdio-0.77_2
  libcroco-0.6.1
  libdaemon-0.10_1
  libdca-0.0.5
  libdmx-1.0.2
  libdrm-2.3.0
  libdv-0.104_4
  libdvbpsi-0.1.5_1
  libdvdcss-1.2.9_2
  libdvdnav-0.1.10_2
  libdvdread-0.9.7_2
  libebml-0.7.7
  liberation-fonts-ttf-3
  libexecinfo-1.1_1
  libexif-0.6.13
  libfontenc-1.0.4
  libfpx-1.2.0.12
  libFS-1.0.0
  libgcrypt-1.2.4_1
  libggi-2.2.2_1,1
  libgii-1.0.2_1
  libGL-6.5.3_2
  libglade2-2.6.0_3
  libGLU-6.5.3
  libgmp-4.2.1_2
  libgnomecanvas-2.14.0_3
  libgpg-error-1.4_1
  libgsf-1.14.3_1
  libgtkhtml-2.11.0_3
  libICE-1.0.3,1
  libiconv-1.9.2_2
  libid3tag-0.15.1b
  libIDL-0.8.8
  libksba-1.0.1_1
  libltdl-1.5.22_2
  libmad-0.15.1b_2
  libmatroska-0.8.1
  libmcrypt-2.5.7_2
  libmng-1.0.9
  libmodplug-0.8.4
  libmpcdec-1.2.5
  libmpeg2-0.4.1_1
  libmspack-0.0.20040308_3
  libnotify-0.4.4_1
  libogg-1.1.3,3
  liboil-0.3.11
  liboldX-1.0.1
  librsvg2-2.16.1_1
  libslang-1.4.9
  libSM-1.0.2,1
  libsndfile-1.0.17
  libspf2-1.0.4_1
  libstroke-0.5.1_3
  libtar-1.2.11_2
  libtheora-1.0.a7
  libtool-1.5.22_4
  libungif-4.1.4_3
  libvolume_id-0.75.0
  libvorbis-1.1.2,3
  libwmf-0.2.8.4_1
  libwww-5.4.0_3
  libX11-1.1.1_1,1
  libXau-1.0.3_2
  libXaw-1.0.2,1
  libXcomposite-0.3.1,1
  libXcursor-1.1.8_1
  libXdamage-1.1.1
  libXdmcp-1.0.2
  libXevie-1.0.2
  libXext-1.0.3,1
  libXfixes-4.0.3
  libXfont-1.2.8,1
  libXfontcache-1.0.4
  libXft-2.1.12
  libXi-1.0.2,1
  libXinerama-1.0.1,1
  libxkbfile-1.0.4
  libxkbui-1.0.2
  libxml2-2.6.27
  libXmu-1.0.3,1
  libXp-1.0.0,1
  libXpm-3.5.6
  libXprintAppUtil-1.0.1
  libXprintUtil-1.0.1
  libXrandr-1.2.1
  libXrender-0.9.2
  libXres-1.0.3
  libXScrnSaver-1.1.2
  libxslt-1.1.20
  libXt-1.0.5
  libXTrap-1.0.0
  libXtst-1.0.1
  libXv-1.0.3,1
  libXvMC-1.0.4
  libXxf86dga-1.0.1
  libXxf86misc-1.0.1
  libXxf86vm-1.0.1
  linc-1.0.3_6
  linux-atk-1.9.1
  linux-expat-1.95.8
  linux-fontconfig-2.2.3_7
  linux-glib2-2.6.6
  linux-gtk2-2.6.10
  linux-jpeg-6b.34
  linux-pango-1.8.1
  linux-png-1.2.8_2
  linux-realplayer-10.0.8.805.20060718_1
  linux-tiff-3.7.1
  linux-xorg-libs-6.8.2_5
  linux_base-fc-4_9
  listres-1.0.1
  liveMedia-2007.02.20,1
  localedata-5.4
  luit-1.0.2_1
  lzo-1.08_2,1
  m4-1.4.4
  mail2sms-1.3.5
  makedepend-1.0.0,1
  man2html-3.0.1_1
  memtest-4.0.6
  mime-support-3.39.1
  mkcomposecache-1.2_1
  mkfontdir-1.0.2
  mkfontscale-1.0.3
  mpeg2codec-1.2_2
  mpeg4ip-libmp4v2-1.5.0.1
  mpfr-2.2.1
  mplayer-0.99.10_8
  mutt-devel-1.5.15_1
  mysql-client-5.1.11
  mysql-scripts-5.1.11
  mysql-server-5.1.11
  nasm-0.98.39,1
  net-snmp-5.2.3_3
  nspr-4.6.4
  nss-3.11.5
  oclock-1.0.1
  open-motif-2.2.3_3
  openslp-1.2.1_2
  opera-9.20.20070409_1
  ORBit2-2.14.7_1
  p5-Algorithm-C3-0.06
  p5-Algorithm-Dependency-1.102
  p5-Algorithm-Diff-1.1902
  p5-Algorithm-Permute-0.06
  p5-Archive-Tar-1.30
  p5-Authen-SASL-2.10_1
  p5-Bit-Vector-6.4_1
  p5-BSD-Resource-1.28
  p5-Cache-Cache-1.05
  p5-Carp-Clan-5.8
  p5-Catalyst-Manual-5.700701
  p5-CGI-Simple-0.077_1
  p5-CGI.pm-3.25,1
  p5-Class-Accessor-0.30
  p5-Class-Accessor-Chained-0.01
  p5-Class-Autouse-1.27_1
  p5-Class-C3-0.14
  p5-Class-Data-Accessor-0.03
  p5-Class-Factory-Util-1.6
  p5-Class-Gomor-1.01
  p5-Class-Inspector-1.16
  p5-Class-Singleton-1.03
  p5-Clone-0.22
  p5-Clone-PP-1.02
  p5-Compress-Raw-Zlib-2.001
  p5-Compress-Zlib-2.001_1
  p5-Config-Tiny-2.10
  p5-Convert-BinHex-1.119
  p5-Crypt-PasswdMD5-1.3
  p5-Crypt-SSLeay-0.53
  p5-Data-Dump-1.08
  p5-Data-Dumper-Simple-0.11
  p5-Data-OptList-0.101
  p5-Data-Page-2.00
  p5-Data-Random-0.05
  p5-Date-Calc-5.4
  p5-Date-Manip-5.44
  p5-DateTime-0.36
  p5-DateTime-Format-Builder-0.78.07
  p5-DateTime-Format-Duration-1.02
  p5-DateTime-Format-MySQL-0.04
  p5-DateTime-Format-Pg-0.15
  p5-DateTime-Format-Strptime-1.07.00,1
  p5-DateTime-Locale-0.34
  p5-DateTime-TimeZone-0.63
  p5-DBD-mysql51-3.0007
  p5-DBI-1.54
  p5-DBIx-Class-0.07005
  p5-Digest-1.15
  p5-Digest-HMAC-1.01
  p5-Digest-MD5-2.36
  p5-Digest-SHA-5.44
  p5-Digest-SHA1-2.11
  p5-Error-0.17.007
  p5-ExtUtils-CBuilder-0.18
  p5-ExtUtils-ParseXS-2.16
  p5-File-Copy-Recursive-0.31
  p5-File-Find-Rule-0.30
  p5-File-Finder-0.53
  p5-File-Flat-1.00
  p5-File-Modified-0.07_1
  p5-File-NCopy-0.34_1
  p5-File-ReadBackwards-1.04
  p5-File-Remove-0.34
  p5-File-Slurp-9999.12
  p5-File-Temp-0.17_1
  p5-FileHandle-Unget-0.1621
  p5-Font-AFM-1.19
  p5-GD-SVG-0.28
  p5-Geography-Countries-1.4
  p5-Getopt-Long-2.36
  p5-GSSAPI-0.23
  p5-Hook-LexWrap-0.20
  p5-HTML-Format-2.04
  p5-HTML-Parser-3.55
  p5-HTML-TableExtract-2.10
  p5-HTML-Tagset-3.10
  p5-HTML-Template-2.9
  p5-HTML-TokeParser-Simple-3.15
  p5-HTML-Tree-3.23
  p5-IO-Compress-Base-2.001
  p5-IO-Compress-Zlib-2.001_1
  p5-IO-Socket-SSL-1.01
  p5-IO-String-1.08
  p5-IO-stringy-2.110
  p5-IO-Zlib-1.04_1
  p5-IPC-ShareLite-0.09
  p5-libwww-5.805
  p5-List-MoreUtils-0.22
  p5-Mail-Box-2.068
  p5-Mail-Box-Parser-C-3.006
  p5-Mail-IMAPClient-2.2.9
  p5-Mail-Mbox-MessageParser-1.4005
  p5-Mail-Tools-1.74
  p5-Mail-Transport-Dbx-0.07
  p5-MIME-Base64-3.07
  p5-MIME-Tools-5.420,2
  p5-MIME-Types-1.18
  p5-Module-Build-0.28.06
  p5-Module-Find-0.05
  p5-Net-1.19,1
  p5-Net-Daemon-0.39
  p5-Net-SSLeay-1.30_1
  p5-Number-Compare-0.01
  p5-Object-Realize-Later-0.15_1
  p5-Params-Util-0.23
  p5-Params-Validate-0.87
  p5-Parse-RecDescent-1.94
  p5-PathTools-3.24
  p5-PlRPC-0.2018_1
  p5-Pod-Constants-0.15_3
  p5-Pod-Escapes-1.04
  p5-Pod-Parser-1.35
  p5-Pod-Simple-3.05
  p5-Pod-Tests-0.18
  p5-prefork-1.01
  p5-Regex-PreSuf-1.17
  p5-Regexp-Assemble-0.28
  p5-Rose-DateTime-0.532,1
  p5-Rose-DB-0.733,1
  p5-Rose-DB-Object-0.763,1
  p5-Rose-Object-0.821
  p5-Scalar-List-Utils-1.18,1
  p5-Spiffy-0.30
  p5-SQL-Abstract-1.22
  p5-SQL-Abstract-Limit-0.120
  p5-SQL-ReservedWords-0.7
  p5-Storable-2.15
  p5-Sub-Exporter-0.972
  p5-Sub-Install-0.924
  p5-Sub-Override-0.08
  p5-Sub-Uplevel-0.14
  p5-SVG-2.33
  p5-Term-ReadKey-2.30
  p5-Term-Shell-0.01
  p5-Test-Base-0.52
  p5-Test-ClassAPI-1.03
  p5-Test-Exception-0.24
  p5-Test-Harness-2.64
  p5-Test-Inline-2.201
  p5-Test-Pod-1.26
  p5-Test-Simple-0.65
  p5-Text-Balanced-1.98
  p5-Text-Diff-0.35
  p5-Text-Glob-0.07
  p5-Text-Iconv-1.4
  p5-Text-Tabs+Wrap-2006.1117
  p5-Time-Clock-0.11
  p5-Time-HiRes-1.91,1
  p5-Time-Local-1.17
  p5-TimeDate-1.16,1
  p5-Tk-804.027_1
  p5-type1inst-0.6.1_3
  p5-URI-1.35
  p5-User-Identity-0.90
  p5-WWW-Mechanize-1.22
  p5-WWW-Mechanize-FormFiller-0.06
  p5-WWW-Mechanize-Shell-0.40
  p5-X11-Protocol-0.56
  p5-XML-Parser-2.34_2
  p5-YAML-0.62
  pango-1.16.4_1
  pcf2bdf-1.04
  pciids-20070225
  pcre-6.6
  perl-5.8.8
  physcalc-2.4
  pkg-config-0.21
  pkg_cutleaves-20061113
  pkg_tree-1.1_1
  pload-0.9.5_1
  png-1.2.18
  policykit-0.1.20060514_4
  poppler-0.5.4_3
  poppler-data-0.1
  poppler-gtk-0.5.4_2
  popt-1.7_3
  portupgrade-devel-2.3.0_5
  postfix-2.2.11,1
  printproto-1.0.3
  privoxy-3.0.3_5
  procmail-3.22_6
  pstotext-1.8g_1
  pth-2.0.7
  py24-gdbm-2.4.3
  python-2.4.4,1
  python24-2.4.4
  qmake-4.2.3_1
  qt4-corelib-4.2.3_2
  qt4-gui-4.2.3_2
  qt4-moc-4.2.3_1
  qt4-rcc-4.2.3
  qt4-uic-4.2.3_1
  radeontool-1.5
  randrproto-1.2.1
  rclock-2.7.10_1
  recordproto-1.13.2
  renderproto-0.9.2
  resourceproto-1.0.2
  rexx-regina-3.3_1
  rgb-1.0.1
  rpm-3.0.6_13
  rpm2cpio-1.2_2
  rstart-1.0.2
  rsync-2.6.9
  ruby-1.8.5_4,1
  ruby18-bdb-0.6.0
  scripts-1.0.1
  scrnsaverproto-1.1.0
  sdl-1.2.11_1,2
  sdl_image-1.2.5_1
  sdl_ttf-2.0.8_2
  sessreg-1.0.2
  setxkbmap-1.0.3
  sgifonts-1.0.1_1
  shared-mime-info-0.21_3
  showfont-1.0.1
  slrn-0.9.8.1
  smiley-4.0
  smproxy-1.0.2
  socks5-1.0.11_3
  speex-1.2.b1_1,1
  sqlite3-3.3.16
  svgalib-1.4.3_5
  t1lib-5.1.1_1,1
  tcl-8.4.13_1,1
  teTeX-3.0_2
  teTeX-base-3.0_11
  teTeX-texmf-3.0_5
  tex-texmflocal-1.9
  texi2html-1.76_1,1
  tidy-devel-051026_2
  tiff-3.8.2
  tk-8.4.14_6,2
  trapproto-3.4.3
  twm-1.0.3_3
  twolame-0.3.10
  units-1.85
  unix2dos-1.3
  unzip-5.52_2
  urwfonts-1.0_2
  urwfonts-ttf-1.0.7b18_1
  uulib-0.5.20_1
  v4l_compat-1.0.20060801
  vcdimager-0.7.23_3
  videoproto-2.2.2
  viewres-1.0.1
  vim-7.0.224
  vlc-devel-0.9.0.20070501_1,2
  vuxml-1.1_1
  w3m-0.5.1_6
  webfonts-0.30_1
  wget-1.10.2
  win32-codecs-3.1.0.r1,1
  wmmixer-1.0b1_1
  wtf-20051104
  wxgtk2-common-2.8.0_1
  wxgtk2-unicode-2.8.0_1
  x11perf-1.4.1
  x264-0.0.20070402_3
  xauth-1.0.2
  Xaw3d-1.5E_2
  xbiff-1.0.1
  xbitmaps-1.0.1
  xcalc-1.0.1
  xchat-2.8.2_1
  xclip-0.08_1
  xclipboard-1.0.1
  xclock-1.0.2
  xcmiscproto-1.1.2
  xcmsdb-1.0.1
  xconsole-1.0.2
  xcursor-themes-1.0.1_1
  xcursorgen-1.0.1
  xdbedizzy-1.0.2
  xditview-1.0.1
  xdm-1.1.4_1
  xdpyinfo-1.0.1
  xdriinfo-1.0.1_1
  xdvik-tetex-22.84.10_1
  xedit-1.0.2
  xev-1.0.2
  xextproto-7.0.2
  xeyes-1.0.1
  xf86-input-acecad-1.1.0
  xf86-input-calcomp-1.1.0
  xf86-input-citron-2.2.0
  xf86-input-digitaledge-1.1.0
  xf86-input-dmc-1.1.0
  xf86-input-dynapro-1.1.0
  xf86-input-elo2300-1.1.0
  xf86-input-elographics-1.1.0
  xf86-input-fpit-1.1.0
  xf86-input-hyperpen-1.1.0
  xf86-input-jamstudio-1.1.0
  xf86-input-joystick-1.1.0
  xf86-input-keyboard-1.1.1
  xf86-input-magellan-1.1.0
  xf86-input-magictouch-1.0.0.5_1
  xf86-input-microtouch-1.1.0
  xf86-input-mouse-1.1.2
  xf86-input-mutouch-1.1.0
  xf86-input-palmax-1.1.0
  xf86-input-penmount-1.2.0
  xf86-input-spaceorb-1.1.0
  xf86-input-summa-1.1.0
  xf86-input-tek4957-1.1.0
  xf86-input-void-1.1.0
  xf86-video-apm-1.1.1
  xf86-video-ark-0.6.0
  xf86-video-ati-6.6.3_2
  xf86-video-chips-1.1.1
  xf86-video-cirrus-1.1.0
  xf86-video-cyrix-1.1.0
  xf86-video-dummy-0.2.0
  xf86-video-fbdev-0.3.1
  xf86-video-glint-1.1.1_2
  xf86-video-i128-1.2.1
  xf86-video-i740-1.1.0
  xf86-video-i810-1.6.5_2
  xf86-video-imstt-1.1.0
  xf86-video-mga-1.4.6.1_1
  xf86-video-neomagic-1.1.1
  xf86-video-newport-0.2.1
  xf86-video-nsc-2.8.2
  xf86-video-nv-1.2.2.1
  xf86-video-rendition-4.1.3
  xf86-video-s3-0.5.0
  xf86-video-s3virge-1.9.1
  xf86-video-savage-2.1.2_2
  xf86-video-siliconmotion-1.4.2
  xf86-video-sis-0.9.3_1
  xf86-video-tdfx-1.3.0_1
  xf86-video-tga-1.1.0
  xf86-video-trident-1.2.3
  xf86-video-tseng-1.1.1
  xf86-video-vesa-1.3.0
  xf86-video-vga-4.1.0
  xf86-video-via-0.2.2_1
  xf86-video-vmware-10.14.1
  xf86-video-voodoo-1.1.1
  xf86bigfontproto-1.1.2
  xf86dga-1.0.2
  xf86dgaproto-2.0.2
  xf86driproto-2.0.3
  xf86miscproto-0.9.2
  xf86rushproto-1.1.2
  xf86vidmodeproto-2.2.2
  xfd-1.0.1
  xfindproxy-1.0.1
  xfontsel-1.0.2
  xfs-1.0.4_3,1
  xfsinfo-1.0.1
  xfwp-1.0.1
  xgamma-1.0.1
  xgc-1.0.1
  xhost-1.0.1
  xhtml-basic-1.0.20001219_1
  xhtml-modularization-1.0.20010410
  xineramaproto-1.1.2
  xinit-1.0.3
  xkbcomp-1.0.3
  xkbevd-1.0.2
  xkbprint-1.0.1
  xkbutils-1.0.1
  xkeyboard-config-0.9_2
  xkeycaps-2.46_2
  xkill-1.0.1
  xload-1.0.1
  xlockmore-5.23_1
  xlogo-1.0.1
  xlsatoms-1.0.1
  xlsclients-1.0.1
  xlsfonts-1.0.2
  xmag-1.0.1
  xman-1.0.2
  xmessage-1.0.1
  xmh-1.0.1
  xmlcatmgr-2.2
  xmodmap-1.0.2
  xmore-1.0.1
  xorg-7.2
  xorg-apps-7.2
  xorg-cf-files-1.0.2_2
  xorg-docs-1.3,1
  xorg-drivers-7.2
  xorg-fonts-100dpi-7.2
  xorg-fonts-7.2
  xorg-fonts-75dpi-7.2
  xorg-fonts-cyrillic-7.2
  xorg-fonts-miscbitmaps-7.2
  xorg-fonts-truetype-7.2
  xorg-fonts-type1-7.2
  xorg-libraries-7.2
  xorg-nestserver-1.2.0,1
  xorg-protos-7.2
  xorg-server-1.2.0_2,1
  xorg-vfbserver-1.2.0,1
  xosview-1.8.3_1
  xpdf-3.02_1
  xphelloworld-1.0.1
  xplsprinters-1.0.1
  xpr-1.0.2
  xprehashprinterlist-1.0.1
  xprop-1.0.2
  xproto-7.0.10
  xproxymanagementprotocol-1.0.2
  xrandr-1.2.0
  xrdb-1.0.3
  xrefresh-1.0.2
  xrx-1.0.1
  xset-1.0.2
  xsetmode-1.0.0
  xsetpointer-1.0.0
  xsetroot-1.0.1
  xsm-1.0.1
  xstdcmap-1.0.1
  xterm-225_1
  xtrans-1.0.3
  xtrap-1.0.2
  xv-3.10a_7
  xvid-1.1.2,1
  xvidtune-1.0.1
  xvinfo-1.0.1
  xwd-1.0.1
  xwininfo-1.0.2
  xwud-1.0.1
  zip-2.31
  zsh-4.3.2_1


  - Parv

--
Comment 4 b.j.casavant 2007-08-22 01:42:41 UTC
I hit the same problem with acroread7-7.0.9_2,1.

The issue isn't so much with get_gtk_file_ver(), as it is with the
ldconfig invoked at line 479:

	/sbin/ldconfig -p

The "-p" option isn't a valid flag to FreeBSD's ldconfig command,
it's a Linuxism.  This breaks the the subsequent grep/sed pipeline,
resulting in $ifile being blank, which then gets passed to
get_gtk_file_ver().

The solution is either to replace this use of ldconfig with something
appropriate for FreeBSD, or to add the '-p' feature to FreeBSD's
ldconfig command.
Comment 5 Hiroki Sato freebsd_committer 2007-09-02 15:16:07 UTC
State Changed
From-To: open->analyzed

Analyzed and prepared an experimental patch[*] for testers. 

[*] http://people.freebsd.org/~hrs/acroreadwrapper.diff
Comment 6 dfilter service freebsd_committer 2007-09-23 19:28:51 UTC
hrs         2007-09-23 18:28:46 UTC

  FreeBSD ports repository

  Modified files:
    print/acroreadwrapper Makefile 
    print/acroreadwrapper/files acroread.in 
  Log:
  - Use ${LINUXBASE}/bin/sh instead of /bin/sh to prevent issues due to
    difference of pathname lookup[*].
  - Refine messages when localized acroread not found.
  - Some cleanups.
  
  PR:     ports/113468 [*]
  
  Revision  Changes    Path
  1.8       +3 -3      ports/print/acroreadwrapper/Makefile
  1.4       +9 -6      ports/print/acroreadwrapper/files/acroread.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Hiroki Sato freebsd_committer 2007-09-23 19:28:57 UTC
State Changed
From-To: analyzed->closed

Committed a workaround.  If you suffer from this issue again, please let 
me know.  Thanks for the report!